# Shutdown Timer (UWP) ✨

This was supposed to be the successor to [Shutdown Timer Classic](https://github.com/Lukas34/ShutdownTimerWin32) made using the Universal Windows Platform. The project is now archived!

The goal of this app is to introduce a new look with animations and touch friendly elements, as well as a lot new features like history and logging. [View some screenshots](./Screenshots.md).

# Ensure Reliability

Windows 10 will suspend apps which run in the background. Altough they can request an extension to run indefinitely, this extension can be revoked when the device is running on battery power.

It is important to keep the app active at all times to sustain a reliable operation. The user will need to change some settings in Windows to allow this behaviour. [This guide](./PreventSuspension.md) outlines the necessary steps you'll need to take.

# Instructions 🛠

To get started, you just need **Visual Studio 2019** and **Git** installed on your maschine.
1. Clone the repo
2. Open the project file (`ShutdownTimerUWP.sln`)
3. Ensure your Windows security settings are set to Developer-Mode *(Settings >> Update and Security >> For Developers)*
4. Hit `F5` or press the green start button in Visual Studio
5. Done! The app should now get compiled, registered on your maschine, and will start up shortly.
