﻿using ShutdownTimer.Views;
using System;
using System.Threading.Tasks;
using Windows.ApplicationModel.Core;
using Windows.UI.Core;

namespace ShutdownTimer.Services
{
    public static class ExtendedExecutionDialogService
    {
        internal static async Task ShowDialogAsync()
        {
            await CoreApplication.MainView.CoreWindow.Dispatcher.RunAsync(
                CoreDispatcherPriority.Normal, async () =>
                {
                    var dialog = new ExtendedExecutionDialog();
                    await dialog.ShowAsync();
                });
        }
    }
}
